package com.lukouguoji.aerologic.page.gnj.stash.details

import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.lukouguoji.aerologic.R
import com.lukouguoji.aerologic.databinding.ActivityGnjStashDetailsBinding
import com.lukouguoji.module_base.base.BaseBindingActivity
import com.lukouguoji.module_base.common.Constant

class GnjStashDetailsActivity :
    BaseBindingActivity<ActivityGnjStashDetailsBinding, GnjStashDetailsViewModel>() {

    override fun layoutId() = R.layout.activity_gnj_stash_details

    override fun viewModelClass() = GnjStashDetailsViewModel::class.java

    override fun initOnCreate(savedInstanceState: Bundle?) {
        viewModel.initOnCreated(intent)

        setBackArrow("国内进港运单详情")

        binding.viewModel = viewModel

    }

    companion object {
        @JvmStatic
        fun start(context: Context, id: String) {
            val starter = Intent(context, GnjStashDetailsActivity::class.java)
                .putExtra(Constant.Key.ID, id)
            context.startActivity(starter)
        }
    }

}